summaryrefslogtreecommitdiff
path: root/tcwg-cleanup-stale-workspaces.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-08-11 07:15:09 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2017-08-11 07:15:09 +0000
commitc0163f0ae56a35705e6405d2e07d839c17c4d904 (patch)
tree957a6a5b6a3c4ee4610389712e5a98f5b8a8d2f2 /tcwg-cleanup-stale-workspaces.sh
parent2c0c636c315bb157b4908c54881485b9919e481a (diff)
tcwg-cleanup-stale-workspaces: Robustify against disappearing directories.
Handle rare cases when directories are removed by another job and "ld -ld" fails to find a directory. Change-Id: I138c5e941bd482df0e64c53a861a1a85553a64dc
Diffstat (limited to 'tcwg-cleanup-stale-workspaces.sh')
-rwxr-xr-xtcwg-cleanup-stale-workspaces.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tcwg-cleanup-stale-workspaces.sh b/tcwg-cleanup-stale-workspaces.sh
index 1fb6778c..d64ed5bc 100755
--- a/tcwg-cleanup-stale-workspaces.sh
+++ b/tcwg-cleanup-stale-workspaces.sh
@@ -57,8 +57,8 @@ done
if [ ${#rm_dirs[@]} != 0 ]; then
echo "Removing directories:"
- ls -ld "${rm_dirs[@]}"
- du -hs "${rm_dirs[@]}"
+ ls -ld "${rm_dirs[@]}" || true
+ du -hs "${rm_dirs[@]}" || true
if ! $dry_run; then
# Make sure we can get into all subdirectories.
# Glibc tests can leave behind "rw-" directories, the contents of which